Package org.jfree.layouting.input.style.parser

## Class FixNamespaceConditionFactory

- java.lang.Object
- - org.jfree.layouting.input.style.parser.FixNamespaceConditionFactory

- All Implemented Interfaces:
    `org.w3c.css.sac.ConditionFactory`

      public class FixNamespaceConditionFactory
      extends java.lang.Object
      implements org.w3c.css.sac.ConditionFactory

  Creation-Date: 23.04.2006, 15:13:10
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FixNamespaceConditionFactory​(org.w3c.css.sac.ConditionFactory parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.w3c.css.sac.CombinatorCondition` | `createAndCondition​(org.w3c.css.sac.Condition first, org.w3c.css.sac.Condition second)` |
    `org.w3c.css.sac.AttributeCondition` | `createAttributeCondition​(java.lang.String localName, java.lang.String namespaceURI, boolean specified, java.lang.String value)` |
    `org.w3c.css.sac.AttributeCondition` | `createBeginHyphenAttributeCondition​(java.lang.String localName, java.lang.String namespaceURI, boolean specified, java.lang.String value)` |
    `org.w3c.css.sac.AttributeCondition` | `createClassCondition​(java.lang.String namespaceURI, java.lang.String value)` |
    `org.w3c.css.sac.ContentCondition` | `createContentCondition​(java.lang.String data)` |
    `org.w3c.css.sac.AttributeCondition` | `createIdCondition​(java.lang.String value)` |
    `org.w3c.css.sac.LangCondition` | `createLangCondition​(java.lang.String lang)` |
    `org.w3c.css.sac.NegativeCondition` | `createNegativeCondition​(org.w3c.css.sac.Condition condition)` |
    `org.w3c.css.sac.AttributeCondition` | `createOneOfAttributeCondition​(java.lang.String localName, java.lang.String namespaceURI, boolean specified, java.lang.String value)` |
    `org.w3c.css.sac.Condition` | `createOnlyChildCondition​()` |
    `org.w3c.css.sac.Condition` | `createOnlyTypeCondition​()` |
    `org.w3c.css.sac.CombinatorCondition` | `createOrCondition​(org.w3c.css.sac.Condition first, org.w3c.css.sac.Condition second)` |
    `org.w3c.css.sac.PositionalCondition` | `createPositionalCondition​(int position, boolean typeNode, boolean type)` |
    `org.w3c.css.sac.AttributeCondition` | `createPseudoClassCondition​(java.lang.String namespaceURI, java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixNamespaceConditionFactory

          public FixNamespaceConditionFactory​(org.w3c.css.sac.ConditionFactory parent)

  - ### Method Detail

    - #### createAndCondition

          public org.w3c.css.sac.CombinatorCondition createAndCondition​(org.w3c.css.sac.Condition first,
                                                                        org.w3c.css.sac.Condition second)
                                                                 throws org.w3c.css.sac.CSSException

      Specified by:
        `createAndCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createOrCondition

          public org.w3c.css.sac.CombinatorCondition createOrCondition​(org.w3c.css.sac.Condition first,
                                                                       org.w3c.css.sac.Condition second)
                                                                throws org.w3c.css.sac.CSSException

      Specified by:
        `createOrCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createNegativeCondition

          public org.w3c.css.sac.NegativeCondition createNegativeCondition​(org.w3c.css.sac.Condition condition)
                                                                    throws org.w3c.css.sac.CSSException

      Specified by:
        `createNegativeCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createPositionalCondition

          public org.w3c.css.sac.PositionalCondition createPositionalCondition​(int position,
                                                                               boolean typeNode,
                                                                               boolean type)
                                                                        throws org.w3c.css.sac.CSSException

      Specified by:
        `createPositionalCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createAttributeCondition

          public org.w3c.css.sac.AttributeCondition createAttributeCondition​(java.lang.String localName,
                                                                             java.lang.String namespaceURI,
                                                                             boolean specified,
                                                                             java.lang.String value)
                                                                      throws org.w3c.css.sac.CSSException

      Specified by:
        `createAttributeCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createIdCondition

          public org.w3c.css.sac.AttributeCondition createIdCondition​(java.lang.String value)
                                                               throws org.w3c.css.sac.CSSException

      Specified by:
        `createIdCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createLangCondition

          public org.w3c.css.sac.LangCondition createLangCondition​(java.lang.String lang)
                                                            throws org.w3c.css.sac.CSSException

      Specified by:
        `createLangCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createOneOfAttributeCondition

          public org.w3c.css.sac.AttributeCondition createOneOfAttributeCondition​(java.lang.String localName,
                                                                                  java.lang.String namespaceURI,
                                                                                  boolean specified,
                                                                                  java.lang.String value)
                                                                           throws org.w3c.css.sac.CSSException

      Specified by:
        `createOneOfAttributeCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createBeginHyphenAttributeCondition

          public org.w3c.css.sac.AttributeCondition createBeginHyphenAttributeCondition​(java.lang.String localName,
                                                                                        java.lang.String namespaceURI,
                                                                                        boolean specified,
                                                                                        java.lang.String value)
                                                                                 throws org.w3c.css.sac.CSSException

      Specified by:
        `createBeginHyphenAttributeCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createClassCondition

          public org.w3c.css.sac.AttributeCondition createClassCondition​(java.lang.String namespaceURI,
                                                                         java.lang.String value)
                                                                  throws org.w3c.css.sac.CSSException

      Specified by:
        `createClassCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createPseudoClassCondition

          public org.w3c.css.sac.AttributeCondition createPseudoClassCondition​(java.lang.String namespaceURI,
                                                                               java.lang.String value)
                                                                        throws org.w3c.css.sac.CSSException

      Specified by:
        `createPseudoClassCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createOnlyChildCondition

          public org.w3c.css.sac.Condition createOnlyChildCondition​()
                                                             throws org.w3c.css.sac.CSSException

      Specified by:
        `createOnlyChildCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createOnlyTypeCondition

          public org.w3c.css.sac.Condition createOnlyTypeCondition​()
                                                            throws org.w3c.css.sac.CSSException

      Specified by:
        `createOnlyTypeCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createContentCondition

          public org.w3c.css.sac.ContentCondition createContentCondition​(java.lang.String data)
                                                                  throws org.w3c.css.sac.CSSException

      Specified by:
        `createContentCondition` in interface `org.w3c.css.sac.ConditionFactory`
      Throws:
        `org.w3c.css.sac.CSSException`